summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-03-14 04:35:05 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-03-14 04:35:05 (GMT)
commit88a7ea2673a51a5a26e7631eab0d117ac027c0b5 (patch)
tree5240eae972ee54761d1621d8ff2d1951cfcb6323
parent0220530acafa74d769569102ea5049e11986de05 (diff)
downloadlinhes_pkgbuild-88a7ea2673a51a5a26e7631eab0d117ac027c0b5.zip
linhes_pkgbuild-88a7ea2673a51a5a26e7631eab0d117ac027c0b5.tar.gz
linhes_pkgbuild-88a7ea2673a51a5a26e7631eab0d117ac027c0b5.tar.bz2
Adding speex, required for sdl_sound
-rw-r--r--abs/extra-testing/speex/PKGBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/abs/extra-testing/speex/PKGBUILD b/abs/extra-testing/speex/PKGBUILD
new file mode 100644
index 0000000..aac6749
--- /dev/null
+++ b/abs/extra-testing/speex/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 7445 2008-08-02 03:05:20Z eduardo $
+# Contributer: Jason Chu <jason@archlinux.org>
+# Maintainer: Jason Chu <jason@archlinux.org>
+
+pkgname=speex
+pkgver=1.2rc1
+pkgrel=1
+pkgdesc="A free codec for free speech"
+arch=('i686' 'x86_64')
+license=('BSD')
+depends=('libogg')
+source=(http://downloads.us.xiph.org/releases/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=('c4438b22c08e5811ff10e2b06ee9b9ae')
+url="http://www.speex.org/"
+
+build() {
+ cd $startdir/src/speex-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+ #to fix kde detection
+ cp $startdir/pkg/usr/include/speex/* $startdir/pkg/usr/include/
+ #libtoolslay
+ find $startdir/pkg -name '*.la' -exec rm {} \;
+}